View Issue Details

IDProjectCategoryLast Update
0023026AI War 2[All Projects] GUIAug 31, 2020 2:23 pm
ReporterLord Of NothingAssigned Tox4000Bughunter 
Severityminor 
Status assignedResolutionopen 
Product Version2.032 Savegame Hotfix 
Fixed in Version 
Summary0023026: Assorted UI Issues
DescriptionPosted as one issue to avoid spamming mantis. Some of these are probably not actually UI as such in their cause, but their actual effect is purely cosmetic, so...

UI Issues:

Extragalactic War Planetcracker has no galaxy map icon.

Exogalactic wormholes belonging to AI's you kill simply go on hold forever when they die, they don't disappear from the UI, the object remains in-game, and the planet next to them are considered eligible for waves by the beginner tooltips section of the intel tab.

Command stations are considered ships in the tech upgrade screen.

Misleading "If the fleet levels up, this ship will NOT gain a mark level" everywhere. For example, all spireships, all spire city buildings that scale with city level, all turrets, forcefields, tachyon arrays, station keeping frigates, metal harvesters, cryo pods, home human settlements, planet-based engineers, as well as the command stations themselves, battlestations, citadels - In the latter cases this makes it very unclear to the player what they are buying with the spend science option... Made obsolete by removal of the experience system.

Spire Dreadnaught's selection/mouseover radius feels too big and makes it harder to select nearby units or issue move orders nearby. The same is also true of its collision circle. I’d suggest about a 5-10% decrease in radius?

Achievements:

Teach a man to Fish and the dark spire defeat (intensity 4 or above) achievements are currently not working.
Give a man a fish doesn't work when the science is used on the home command station.

In the intel tab, the description for all types of AIP reducers: For example, for a major data center, it says Reduce AIP by -60. But if the amount is the reduction, shouldn't it be by 60? The structure descriptions in the rest of the game say by 60, not by -60, so changing it would add consistency as well as making things true from a strict reading. All other types of AIP reducer in the intel tab have the same issue.


In the build tab, minimising the sections stores the fact of minimisation across planets. But the thing that seems to be stored is the number of the section - first section minimised, second section minimised, etc. But what this section contains is not consistent across planets- the first section might be command stations (Unowned planet with player mobile fleets), infrastructure (Normal player planet), Spire city structures (Spire city planet), or turrets (Battlestation or citadel at non-player owned planet). And then this further means all the other sections are different as well. This makes the option rather less useful than might be hoped.

In multiple AI games, the message "The AI Civil war has begun" will play on death of the last communication node even if the other AI(s) are already long dead. It also seems to mean that in the Esc menu, the defeated blurb changes retroactively to "Defeated in civil war?", and means the game (Incorrectly, in my view) counts for the civil war achievement.

Added 17/03/2020:
In the Intel tab, there is no entry for the Dyson Antagoniser until it actually finishes warping in? (When the sphere is unfound, at least.) <=== tentative fix from badger in

In the Intel tab, all the "Claim new fleets entries include the flagship in the number of units, but then do not actually list it? This is clearest in the case of lone spire frigates.

Added 31/03/2020:
When a shipyard (Normal or Spire) is not building because the player has insufficient energy to build the ship (Not at brownout, but so low that building it would cause brownout), the message displayed on the shipyard does not correctly reflect this- it instead shows the more usual message that all fleets in range have full ship caps.

Added 04/04/2020:
In the tech screen, the forcefields tech incorrectly states that it raises the level of the Zenith trader's Zenith Forcefield Generator. Fixed in 0023165

Added 12/04/2020:
In the tooltip for a spire city, the display for the number of planets needed without a spire city in order for the city to mark up appears to be wrong in some cases - as far as I can see, it seems to be based on the number of planets the players owns, minus the number of spire cities they own - but this is incorrect if the player has spire cities on planets not owned by them, e.g. due to reconquest or because they have just done a relic chase and have not killed the AI command station (e.g. for debris placement reasons). I'm not sure if this affects the actual spire city upgrade logic or is just a display issue. Edit 15/04/2020: This is not just the display, there's something odd about the city update logic itself, it is not currently acting as described in the tooltips - if you have a city on an AI held planet, this can make the difference between a city upgrading or not, so the logic is also using (number of planets owned by player - number of spire cities), not number of planets owned by player without spire cities. It's not quite as consistent as I thought, though - I have attached a save. In it, taking the planet Gusset, which is currently AI and has a player spire city, will allow the city on Aldebaran to level (It already has the required lower mark cities, and shows as needing one more planet without a spire city to level), but the cities on several other planets, e.g. Cormack, Minsky, Warmuth, will show as needing one more planet without a spire city to mark up both before and after.

The Brownout message in the recovery phase (The 60 seconds where forcefields remain down after you restore a +ve balance) states: "You have a negative energy balance. ..." It should be had, not have, at this stage- the current formulation is misleading. <=== 6/1 badger thinks this is fixed now

Added 18/04/2020:
The Spire Neural Net descriptions state that the added ships will be destroyed if the net is destroyed, but this is not true, either for destruction in combat or scrapping the neural net.

Added 24/04/2020:
The Intel screen fails to suggest that you should gather research and hacking point from a planet for which you have already paid the AIP, if the AI has reconquered it.
Teach a man to fish is still not working for me... <==== 5/28 badger thinks this should work now - Confirmed.

Added 06/05/2020:
Structures that raise AIP when killed by player allies, such as AI command stations and warp gates, use the same tooltip description for this as structures that raise AIP when killed (i.e. Global command augmenters etc.) This seems misleading since it implies that AIP will rise when they are killed by a third party, e.g. hostile to all nanocaust, which is not the case, as the AIP rise is deferred until planet capture etc.

Added 08/05/2020:
The description for the beat the AI achivements might be clearer if it used the same formulation as those for minor factions, i.e. "Beat the Golemite AI on difficulty >=9" becomes "Beat the game with a Golemite AI on difficulty >=9". This is because you have to win the game for these achievements to be counted, it's not when you kill the AI itself, which matters in multi AI games.

Added 14/05/2020:
The Extragalactic War Thunderchild's weapon has no visual effect.

Added 20/05/2020:
The "This will definitely make things better and not worse" Achievement doesn't work for me, I've done all three dark spire hacks in my current game multiple times, and nothing. <==== 5/30 badger thinks this should now work

Added 27/05/2020:
Fleet Capacity Extender and Fleet Research Station primary hacks both have a slightly wrong description when you attempt to hack them with a non-eligable fleet- it references an ARS, not the structure actually present.
Since no ship with a bubble forcefield has regular shields, the description of the attack bonus of, e.g. the weapons on the anti-shield pulsar tank, could be clarified and shortened.

Added 30/05/2020:
"Kites Get Struck By Lightning, You Know" Achievement doesn't work for me. (2 AI game, at least one AI fulfilled the requirements - Diff 9 AI, Diff 7 Hunter fleet for the first AI, and I think the second did as well.) <=== 6/1 badger thinks this should work now -Confirmed.
"So We're the Bad Guys Now?" Achievement doesn't work for me. (Tried all four hacks, nothing.) <=== 6/1 badger thinks this should work now -Confirmed.

Added 08/06/2020:
As of beta 2.062, when extragalactic war units are spawned into the hunter fleet without being targeted against a specific minor faction, in the notification message, there is an extra space in between the last word and the full stop - where the target name would be if it was a targeted spawn. <=== badger thinks this is fixed 6/19

Added 19/06/2020:
There is a bug in one of the text messages when an instigator spawns - it's "Listen post reports...", when it should be "Listening post reports..." <=== badger thinks this is fixed 6/19
The Hacking point tooltip (Top of screen bar) contains a "Time for current hacker to complete work" section if a hack is in progress. However, if multiple hacks are underway, (In my case, retrieving spire debris while decoding nanobots), only one timer is displayed. (In this case it was the most recently started hack?)
Nanobots centres and hives have a "This Nanobot Centre is supporting #### strength" part of their tooltip- but the strength number used here does not seem to be the same one as is used more generally, it's always much higher.

Added 23/06/2020:
In the settings screen, there is a bug with the text of non-installed expansions that causes the text to overlap - see image. Fixed as of 25/06/2020

Added 10/07/2020:
Particularly minor: The actual relic produced by the AI spire research lab doesn't have any text in it's own description to identify it's planet-locked-ness. Fixed in version of 29th July 2020

Added 12/07/2020:
If there is no metal outflow, the metal display in the topbar does not display the net flow figure as it does in other situations, it shows only the current amount, even if that amount is not current at the cap.

Added 13/07/2020:
Particularly minor: The Albedo limit on the tachyon of the marauder outpost and the nanocaust structures is ridiculously high, given that Albedo is limited to 1. (Their limit is 99)

Added 17/07/2020:
Unclaimed fleets can be upgraded in the UI, (And have their ships swapped in and out.) which allows you to cut their claim time significantly, since when they are upgraded, the upgrade HP is delivered full, reducing the percentage of their hull that remains to be "repaired" via the claim, and thus, the time to claim them. Seems like that is quite a noticeable bonus with things like the botnet that normally take a long time to claim and you'd almost certainly want to upgrade anyway? I've also had an occurrence where a fleet being claimed was the one that was chosen as the hacking fleet, even though a different, fully operation fleet was closer. (Both were mobile factories, if that matters.)

Added 19/07/2020:
It is possible for planets to gain a permanent, unremovable high priority marker (And I assume low priority as well). I think this was caused by setting a priority on collecting the science at a planet in the objectives screen.

Added 24/07/2020:
Minor: Setting an objective priority on killing an astro train in the intel screen means it is then tracked by that priority marker, including when it is on planets at which the player does not have vision.
Minor: When you kill the depot an astro train is heading for, the description of what will happen when hovering mouse over the icon at the top of the screen when it arrives takes somewhat longer to update, if at all, than the description of where it is going - so it states the new destination depot, but the destroyed depot's effect.

Added 25/07/2020:
If you use the option Load Game -> select a game -> Lobby and start a new game from there, the new game inherits the old one's journal entries.

Added 26/07/2020:
In the Mesopotamia name list, there's one: "Niveneh" - I think it should be Nineveh ? Fixed as of 27/06/2020
(I also noticed that what should be Gödel, (And it did used to display correctly) in the mathematicians namelist has become G?del for me...)

Added 07/08/2020:
The description of why a grant ship line hack cannot be performed on a fleet research station when the hacking flagship already has all 40 fleet slots filled is currently potentially confusing: It states: "Cannot Currently Hack Because: A ARS cannot grant more than 40 ship lines. The Flagship...." , which seems like it is referring to the number of ship lines granted by the station, rather than the number of ship lines in the fleet. It should say something like "Cannot Currently Hack Because: A ARS hack cannot bring a fleet over 40 ship lines. The Flagship...."
(And also, it should say FRS, not ARS.) I assume since this is a copy-paste, that the description for an ARS has the same issue.


In the fleet management screen, the tooltip text from mousing over the fleets strength still references fleet XP.

Added 10/08/2020:
In the "Custom Start" game setup, the tooltip text for larger numbers of planets (110 or above) refers to "but has room for extra Factons", not Factions.
In the "Custom Start" game setup, the intensity/strength setting of the Dark Spire has a trailing full stop / decimal point, i.e. it shows as "N." , where N is the strength, rather than just "N", like the other factions.
In the Intel tab in game, the tooltip text for hacking technology vaults states how many ship lines stand to benefit - but it doesn't seem to count multiple ship lines of the same type. So, if you had concussion turrets and two lines of concussion corvettes, it would say 2 ship lines stand to gain. It seems to me that it would make more sense for this part of the text to be the same as the text you get via the tech screen, which is more helpful.

Added 14/08/2020:
Holding down the "Show unit range for selected/hovered over" key (Z for me, I think that's the default?) when a military command station is selected, or holding the down "Show unit range for all ships on planet" keys (Shift-Z for me, again, I think that's the default) doesn't actually show the range of the military command station. It seems to work for everything else, it's just mil commands. EDIT on 29/08/2020: I noticed today that the same is true of active AI plasma eyes, which have the same range.
When the AI Great Turret names were changed back to regular names since that's what they had been for ages anyway, the AI Beam Cannon was missed, it's still called Great. I assume the find and replace didn't catch it because it's called a "Great-Cannon", not a "Great-Turret".
When swapping ship lines between two fleets at the same planet, the 'Unless at the same planet' qualification of the scrap warning doesn't seem to appear anymore. The ships still transfer fine, but the message just claims they'll all be scrapped.
When a Dyson Sphere becomes un-antagonised, the little icon for it's warp gate below it's planet on the galaxy screen disappears until the planet is re-scouted.
When using different combat styles, i.e. fast, cheetah, insane, plaid... The ship information panel correctly updates the speed and damage fields to reflect the new values caused by the mode. But the DPS number does not update - it's only correct for normal speed.

Added 17/08/2020:
The text for distance-based damage reduction is confused and unnecessarily convoluted.
It currently says: (Copying from the AI Shredder Turret, if it matters) "If the target is more than N away from this ship, then the attacker does Mx damage to this ship." (Where N is the distance and M is the fraction of damage that gets through as a decimal.) So here, why is the attacker called the target to start with? Surely the target is the thing being attacked, but it can't be, because the target is something that is a distance away from "this ship". This implies that the bonus only applies to the thing the turret is targeting, which is not true.
A simple fix would be to change "the target" to "an attacker", but the whole wording could be made simpler as well:
Suggested replacement: "This ship takes only Mx damage from an attacker if it is more than N away." Note: here "it" is short, and can mean either the attacker or the defender without changing the meaning.

Added 29/08/2020:
The topbar icon for an active AI Eye somewhere still refers to the AI being outnumbered, rather than the new strength based behaviour, and it also refers to you (the player) as doing the outnumbering, when now it can be any faction that is hostile to the AI as far as I can tell. Further, in the tooltip of an activated eye, the eye falsely claims that it is activated due to there being too many ships- the falsehood of this can be seen since if you use a couple of high strength ships, the number of ships "too many" that you have can be turned negative.

Added 31/08/2020:
A voiceline for taking normal planets (Specifically: "Well done, you have destroyed 1 second's worth of production") Just played after killing the overlord stage 1 on an AI homeworld - this seems off?
TagsNo tags attached.

Activities

Dominus Arbitrationis

Mar 18, 2020 1:41 am

administrator   ~0056584

Last edited: Mar 22, 2020 4:47 pm

View 3 revisions

Fixed Teach a man to fish, the dark spire defeat, and Give a man a fish achievements.

Also fixed Objectives display issue.

Marked off the fixes from Badger as well.

Lord Of Nothing

Apr 15, 2020 7:04 pm

reporter   ~0056864

Save for issue added 12/04/2020 and edited 15-16/04/2020

Planets to mark up demo attempt 1.save (2,544,731 bytes)
Planets to mark up demo attempt 1.savemet (92 bytes)

Lord Of Nothing

Jun 23, 2020 8:22 am

reporter   ~0057422

Picture for non-installed expansions.

AI War bug 4.png (726,872 bytes)

Issue History

Date Modified Username Field Change
Mar 13, 2020 9:00 pm Lord Of Nothing New Issue
Mar 17, 2020 6:13 pm Lord Of Nothing Description Updated View Revisions
Mar 17, 2020 6:17 pm Lord Of Nothing Description Updated View Revisions
Mar 18, 2020 1:41 am Dominus Arbitrationis Description Updated View Revisions
Mar 18, 2020 1:41 am Dominus Arbitrationis Note Added: 0056584
Mar 18, 2020 2:16 am Dominus Arbitrationis Description Updated View Revisions
Mar 18, 2020 2:18 am Dominus Arbitrationis Note Edited: 0056584 View Revisions
Mar 19, 2020 7:15 pm RocketAssistedPuffin Description Updated View Revisions
Mar 20, 2020 12:22 pm BadgerBadger Description Updated View Revisions
Mar 22, 2020 4:46 pm Dominus Arbitrationis Description Updated View Revisions
Mar 22, 2020 4:47 pm Dominus Arbitrationis Note Edited: 0056584 View Revisions
Mar 24, 2020 4:01 pm BadgerBadger Description Updated View Revisions
Mar 30, 2020 7:04 pm Lord Of Nothing Description Updated View Revisions
Apr 3, 2020 8:32 pm Lord Of Nothing Description Updated View Revisions
Apr 12, 2020 5:48 pm Lord Of Nothing Description Updated View Revisions
Apr 12, 2020 6:10 pm Lord Of Nothing Description Updated View Revisions
Apr 15, 2020 6:56 pm Lord Of Nothing Description Updated View Revisions
Apr 15, 2020 7:04 pm Lord Of Nothing Description Updated View Revisions
Apr 15, 2020 7:04 pm Lord Of Nothing File Added: Planets to mark up demo attempt 1.save
Apr 15, 2020 7:04 pm Lord Of Nothing File Added: Planets to mark up demo attempt 1.savemet
Apr 15, 2020 7:04 pm Lord Of Nothing Note Added: 0056864
Apr 18, 2020 5:19 pm Lord Of Nothing Description Updated View Revisions
Apr 24, 2020 2:06 pm Lord Of Nothing Description Updated View Revisions
Apr 24, 2020 2:07 pm Lord Of Nothing Description Updated View Revisions
May 6, 2020 4:13 am Lord Of Nothing Description Updated View Revisions
May 6, 2020 1:35 pm Lord Of Nothing Description Updated View Revisions
May 8, 2020 5:58 pm Lord Of Nothing Description Updated View Revisions
May 8, 2020 6:00 pm Lord Of Nothing Description Updated View Revisions
May 8, 2020 6:39 pm Lord Of Nothing Description Updated View Revisions
May 13, 2020 7:02 pm Lord Of Nothing Description Updated View Revisions
May 20, 2020 4:52 am Lord Of Nothing Product Version 2.009 Plenty Of Tuning => 2.032 Savegame Hotfix
May 20, 2020 4:52 am Lord Of Nothing Description Updated View Revisions
May 27, 2020 6:21 pm Lord Of Nothing Description Updated View Revisions
May 27, 2020 6:41 pm BadgerBadger Assigned To => x4000Bughunter
May 27, 2020 6:41 pm BadgerBadger Status new => assigned
May 28, 2020 8:15 pm BadgerBadger Description Updated View Revisions
May 30, 2020 9:54 am Lord Of Nothing Description Updated View Revisions
May 30, 2020 12:36 pm Lord Of Nothing Description Updated View Revisions
May 30, 2020 12:37 pm Lord Of Nothing Description Updated View Revisions
May 30, 2020 3:30 pm BadgerBadger Description Updated View Revisions
Jun 1, 2020 4:45 pm BadgerBadger Description Updated View Revisions
Jun 1, 2020 4:49 pm BadgerBadger Description Updated View Revisions
Jun 1, 2020 7:34 pm BadgerBadger Description Updated View Revisions
Jun 7, 2020 2:02 pm Lord Of Nothing Description Updated View Revisions
Jun 7, 2020 2:04 pm Lord Of Nothing Description Updated View Revisions
Jun 8, 2020 4:29 pm Lord Of Nothing Description Updated View Revisions
Jun 19, 2020 10:56 am Lord Of Nothing Description Updated View Revisions
Jun 19, 2020 11:06 am BadgerBadger Description Updated View Revisions
Jun 19, 2020 11:16 am Lord Of Nothing Description Updated View Revisions
Jun 19, 2020 11:20 am Lord Of Nothing Description Updated View Revisions
Jun 23, 2020 8:21 am Lord Of Nothing Description Updated View Revisions
Jun 23, 2020 8:22 am Lord Of Nothing File Added: AI War bug 4.png
Jun 23, 2020 8:22 am Lord Of Nothing Note Added: 0057422
Jun 25, 2020 8:38 am Lord Of Nothing Description Updated View Revisions
Jul 10, 2020 11:07 am Lord Of Nothing Description Updated View Revisions
Jul 12, 2020 11:17 am Lord Of Nothing Description Updated View Revisions
Jul 12, 2020 1:35 pm Lord Of Nothing Description Updated View Revisions
Jul 13, 2020 1:38 pm Lord Of Nothing Description Updated View Revisions
Jul 16, 2020 6:33 pm Lord Of Nothing Description Updated View Revisions
Jul 17, 2020 1:24 pm Lord Of Nothing Description Updated View Revisions
Jul 19, 2020 1:58 pm Lord Of Nothing Description Updated View Revisions
Jul 24, 2020 12:41 pm Lord Of Nothing Description Updated View Revisions
Jul 24, 2020 1:55 pm Lord Of Nothing Description Updated View Revisions
Jul 25, 2020 5:32 am Lord Of Nothing Description Updated View Revisions
Jul 25, 2020 8:05 am Lord Of Nothing Description Updated View Revisions
Jul 26, 2020 12:47 pm Lord Of Nothing Description Updated View Revisions
Jul 26, 2020 1:10 pm Lord Of Nothing Description Updated View Revisions
Jul 27, 2020 6:06 pm Lord Of Nothing Description Updated View Revisions
Jul 28, 2020 7:41 am Lord Of Nothing Description Updated View Revisions
Jul 28, 2020 7:43 am Lord Of Nothing Description Updated View Revisions
Aug 7, 2020 1:54 pm Lord Of Nothing Description Updated View Revisions
Aug 7, 2020 6:18 pm Lord Of Nothing Description Updated View Revisions
Aug 10, 2020 12:54 pm Lord Of Nothing Description Updated View Revisions
Aug 10, 2020 12:59 pm Lord Of Nothing Description Updated View Revisions
Aug 10, 2020 1:22 pm Lord Of Nothing Description Updated View Revisions
Aug 12, 2020 11:53 am Lord Of Nothing Description Updated View Revisions
Aug 12, 2020 11:57 pm BadgerBadger Description Updated View Revisions
Aug 14, 2020 1:12 pm Lord Of Nothing Description Updated View Revisions
Aug 14, 2020 2:51 pm BadgerBadger Description Updated View Revisions
Aug 14, 2020 3:55 pm BadgerBadger Description Updated View Revisions
Aug 14, 2020 4:22 pm Lord Of Nothing Description Updated View Revisions
Aug 14, 2020 5:13 pm Lord Of Nothing Description Updated View Revisions
Aug 14, 2020 5:25 pm Lord Of Nothing Description Updated View Revisions
Aug 14, 2020 5:57 pm Lord Of Nothing Description Updated View Revisions
Aug 17, 2020 3:55 pm Lord Of Nothing Description Updated View Revisions
Aug 17, 2020 3:55 pm Lord Of Nothing Description Updated View Revisions
Aug 29, 2020 1:48 pm Lord Of Nothing Description Updated View Revisions
Aug 29, 2020 6:35 pm Lord Of Nothing Description Updated View Revisions
Aug 29, 2020 7:14 pm Lord Of Nothing Description Updated View Revisions
Aug 31, 2020 2:23 pm Lord Of Nothing Description Updated View Revisions